- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.adAssets/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.adAssets/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.adAssets/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.adAssets/patch#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.adAssets/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.adAssets/patch#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.adAssets/patch#try-it)

Updates an ad asset.

Returns the updated ad asset if successful.

Supports updating assets of `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.adAssets#AdAssetType` `AD_ASSET_TYPE_YOUTUBE_VIDEO` and `AD_ASSET_TYPE_IMAGE`. Only the `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.adAssets#AdAsset.FIELDS.synthetic_content_attestation_status` field is mutable.

### HTTP request

`PATCH https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/adAssets/{adAsset.adAssetId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the advertiser this ad asset belongs to. |
| `adAsset.adAssetId` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The ID of the ad asset. Referred to as the asset ID when assigned to an ad. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. The list of fields to update. Only `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.adAssets#AdAsset.FIELDS.synthetic_content_attestation_status` is mutable. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.adAssets#AdAsset`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.adAssets#AdAsset`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).